#include "camera.h"

void camera::campoint( Vector &ca )
{ CameraPos = ca; 
return; }

Vector camera::campoint()
{ return CameraPos; }

void camera::tarpoint( Vector &tp)
{ TargetPos = tp;
return; }

Vector camera::tarpoint()
{ return TargetPos; }

void camera::aratio( float &ar )
{ AspectRatio = ar; 
return; }

float camera::aratio()
{ return AspectRatio; }

void camera::zoom( float &zm )
{ CameraZoom = zm;
return; }

float camera::zoom()
{ return CameraZoom; }

void camera::roll( float &ro )
{ CameraRoll = ro;
return; }

float camera::roll()
{ return CameraRoll; }

void camera::hlr_on()
{ HideFlag=1;
return; }

bool camera::hlr()
{ return HideFlag; }

void camera::hlr_off()
{ HideFlag=0;
return; }

void camera::trilines_on(){
AddLinesToTris=1;
return;}
void camera::trilines_off(){
AddLinesToTris=0;
return;}
bool camera::trilines(){
return AddLinesToTris;} 

void camera::ppmark(float size){
PiercePtMarks=size;
return;}
float camera::ppmark(){
return PiercePtMarks; }

void camera::shallowcull(float ang){
ShallowCull=ang;
return;}
float camera::shallowcull(){
return ShallowCull;}

void camera::hidscolor(char *color){
HidsColor=color;
return;}
char * camera::hidscolor(){
return HidsColor;}

void camera::print(ostream *os)
{ *os << endl 
      << "  CameraPos:" << CameraPos << endl
      << "  TargetPos:" << TargetPos << endl
      << "AspectRatio:" << AspectRatio << endl
      << " CameraZoom:" << CameraZoom << endl
      << " CameraRoll:" << CameraRoll << endl
      << "   HideFlag:" << HideFlag << endl;        }
     
ostream &operator<<(ostream &os, camera &C)
{ C.print(&os); return os; }
